import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { NgModule } from '@angular/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { HttpClientModule } from '@angular/common/http';
import { RouterModule, Routes} from '@angular/router';
import { AppRoutingModule } from './app.routing';
import { ComponentsModule } from './components/components.module';
import { AppComponent } from './app.component';
import { AdminLayoutComponent } from './layouts/admin-layout/admin-layout.component';
import { CreateExerciseComponent } from './create-exercise/create-exercise.component';
import { ListExerciseComponent } from './list-exercise/list-exercise.component';
import { ExerciseDetailsComponent } from './exercise-details/exercise-details.component';
import * as bootstrap from "bootstrap";
import * as $ from "jquery";
// import { ExercisePageComponent } from './exercise-page/exercise-page.component';

const routes: Routes = [
  // Add other routes as needed
];

@NgModule({
  imports: [
    BrowserAnimationsModule,
    FormsModule,
    ReactiveFormsModule,
    HttpClientModule,
    ComponentsModule,
    RouterModule.forRoot(routes),
    AppRoutingModule,
  ],
  declarations: [
    AppComponent,
    AdminLayoutComponent,
    CreateExerciseComponent,
    ListExerciseComponent,
    ExerciseDetailsComponent,
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
