// exercise-details.component.ts

import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { ExerciseService } from 'services/exercise.service';
import { Exercise } from 'app/model/exercise';
import { Result } from 'app/model/result';

@Component({
    selector: 'app-exercise-details',
    templateUrl: './exercise-details.component.html',
    styleUrls: ['./exercise-details.component.css']
})
export class ExerciseDetailsComponent implements OnInit {
    exerciseId: string;
    exercise: Exercise;
    results: Result[];
    res: [];

    constructor(private route: ActivatedRoute, private exerciseService: ExerciseService) { }

    ngOnInit(): void {
    const exerciseId = this.route.snapshot.paramMap.get('id');
    console.log('ID de l\'exercice dans le composant :', exerciseId);

    if (exerciseId) {
      this.exerciseService.getExerciseById(exerciseId).subscribe(
        (exercise: Exercise) => {
          console.log('Exercice récupéré avec succès :', exercise);
          this.exercise = exercise;
        },
        (error) => {
          console.error('Erreur lors de la récupération de l\'exercice :', error);
        }
      );
    }
    this.loadResults();
    
  }
   loadResults(): void {
    this.exerciseService.getResults().subscribe(
        data => {
            this.results = data.map(result => {
                // Convertir les champs JSON encodés en objets JavaScript
                result.results = JSON.parse(result.results);
                return result;
            });

            // Afficher les résultats
            if (this.results && this.results.length > 0) {
                this.results.forEach(result => {
                    console.log('Results :', result.results);
                });
            }
        },
        error => {
            console.error('Erreur lors de la récupération des résultats :', error);
        }
    );
}
}
