// exercises.component.ts

import { Component, OnInit } from '@angular/core';
import {ExerciseService} from "../../services/exercise.service";

@Component({
  selector: 'app-exercises',
  templateUrl: './exercise.component.html',
  styleUrls: ['./exercise.component.css']
})
export class ExerciseComponent implements OnInit {
  exercises: any[] = [];

  constructor(private exerciseService: ExerciseService) { }

  ngOnInit(): void {
    this.loadExercises();
  }

  private loadExercises(): void {
    this.exerciseService.getExercises().subscribe(
      (exercises) => {
        this.exercises = exercises;
      },
      (error) => {
        console.error('Error loading exercises:', error);
      }
    );
  }
}
