// exercise.component.ts
import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { Exercise } from 'app/model/exercise';
import { ExerciseService } from 'services/exercise.service';


@Component({
  selector: 'app-exercise-from-assign',
  templateUrl: './exercise_from_assign.component.html',
  styleUrls: ['./exercise_from_assign.component.css']
})
export class ExerciseFromAssign implements OnInit {
  assignmentName: string;
  exercises: Exercise[];

  constructor(private route: ActivatedRoute, private exerciseService: ExerciseService) { }

  ngOnInit(): void {
    this.route.paramMap.subscribe(params => {
      this.assignmentName = params.get('assignmentName');
      this.getExercisesByAssignmentName(this.assignmentName);
    });
  }

  getExercisesByAssignmentName(assignmentName: string): void {
    this.exerciseService.getExercisesByAssignmentName(assignmentName).subscribe(exercises => {
      this.exercises = exercises;
    });
  }
}