import { Routes } from '@angular/router';

import { DashboardComponent } from '../../dashboard/dashboard.component';
import { UserProfileComponent } from '../../user-profile/user-profile.component';
import { TableListComponent } from '../../table-list/table-list.component';
import { TypographyComponent } from '../../typography/typography.component';
import { IconsComponent } from '../../icons/icons.component';
import { MapsComponent } from '../../maps/maps.component';
import { NotificationsComponent } from '../../notifications/notifications.component';
import { UpgradeComponent } from '../../upgrade/upgrade.component';
import { ExercisePageComponent } from '../../exercise-page/exercise-page.component';
import {LoginComponent} from "../../login/login.component";
import { ExerciseComponent } from 'app/exercise/exercise.component';
import { ListExerciseComponent } from 'app/list-exercise/list-exercise.component';
import { CreateExerciseComponent } from 'app/create-exercise/create-exercise.component';
import { ExerciseFromAssign } from 'app/exercise_from_assign/exercise_from_assign.component';
import { ExerciseDetailsComponent } from 'app/exercise-details/exercise-details.component';

export const AdminLayoutRoutes: Routes = [
    { path: 'dashboard',      component: DashboardComponent },
    { path: 'login',          component: LoginComponent },
    { path: 'user-profile',   component: UserProfileComponent },
    { path: 'table-list',     component: TableListComponent },
    { path: 'typography',     component: TypographyComponent },
    { path: 'icons',          component: IconsComponent },
    { path: 'maps',           component: MapsComponent },
    { path: 'notifications',  component: NotificationsComponent },
    { path: 'exercise-page',  component: ExercisePageComponent },
    { path :'exercise_from_assign/:assignmentName', component : ExerciseFromAssign},
    { path: 'upgrade',        component: UpgradeComponent },
    { path: 'exercise',       component: ExerciseComponent },
    { path : 'exercise-details/:id', component:ExerciseDetailsComponent }

    

];

