import { Component, OnInit } from '@angular/core';
import { AuthService } from "../../services/auth_service";
import { ActivatedRoute } from '@angular/router';

@Component({
  selector: 'app-login',
  templateUrl: './login.component.html',
  styleUrls: ['./login.component.css']
})
export class LoginComponent implements OnInit {
  constructor(private route: ActivatedRoute, private authService: AuthService) {}

  ngOnInit(): void {
   
    
    this.route.queryParams.subscribe(params => {
      const code = params['code'];
      
      if (code) {
        console.log('Code d\'autorisation récupéré :', code);
        this.authService.exchangeCodeForToken(code);
        const accessToken = this.authService.getAccessToken();
        const refresh_token = this.authService.getRefreshToken();
        console.log('Access token dans LoginComponent :', accessToken);
        console.log('Refresh token dans LoginComponent :', refresh_token);
      } else {
        console.log('Aucun code d\'autorisation trouvé dans les queryParams.');
      }
    });
  }

  login(): void {
    this.authService.authenticateWithGitLab();
  }
}
