import { Component, OnInit } from '@angular/core';
import { Assignment } from 'app/model/assignment';
import { AssignmentService } from 'services/assignment.service';
import { DatePipe } from '@angular/common';


@Component({
  selector: 'app-table-list',
  templateUrl: './table-list.component.html',
  styleUrls: ['./table-list.component.css']
})
export class TableListComponent implements OnInit {
  assignments : Assignment[] = []
  data : [] = []
  formattedDate : string
  delStatus : string;
  headers : string[] = ['Exercise Created', 'Name', 'Description', 'Creation date', 'gitlabLink', 'Status','Options'];
  
  constructor(private service : AssignmentService) { }
  

  delAssignment(id: number) {
    console.log(id);
    this.service.delAssignments(id).subscribe(
      () => {
        this.delStatus = 'Delete successful';
      },
      (error) => {
        console.error('Error deleting assignment:', error);
        this.delStatus = 'Delete failed';
      }
    );
  }

  ngOnInit() {
    this.service.getAssignments().subscribe((assignment) => {
      this.assignments = assignment
      for (let i = 0; i < this.assignments.length; i++) {
        this.assignments[i].gitlabCreationInfo = JSON.parse(assignment[i].gitlabCreationInfo)
        this.assignments[i].gitlabLastInfo = JSON.parse(assignment[i].gitlabLastInfo)
      }
      console.log(this.assignments[0].gitlabCreationInfo)
    })
  }

  showUnpublishedPopup() {
    alert('Aucun Exercice utilise cet énoncé car il n\'est pas publié.');
}
}
