import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { AuthService } from './auth_service';

@Injectable({
  providedIn: 'root'
})
export class ApiService {

  constructor(private http: HttpClient, private authService: AuthService) { }

  fetchData(): void {
    const accessToken = this.authService.getAccessToken();
    if (accessToken) {
      const headers = new HttpHeaders({
        'Authorization': `Bearer ${accessToken}`
      });
      this.http.get<any>('http://0.0.0.0:30993', { headers }).subscribe(
        response => {
          console.log('Données récupérées avec succès :', response);
        },
        error => {
          console.error('Erreur lors de la récupération des données :', error);
        }
      );
    } else {
      console.error('Access token non disponible.');
    }
  }
}