import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Assignment } from 'app/model/assignment';
import { Observable } from 'rxjs';
import { AuthService } from './auth_service';

@Injectable({
  providedIn: 'root'
})

export class AssignmentService {
  private baseUrl = 'http://localhost:3000';

  constructor(private http: HttpClient) {}
  
  getAssignments(): Observable<Assignment[]> {
    return this.http.get<Assignment[]>(`${this.baseUrl}/assignments`);
  }
  
  delAssignments(id: number): Observable<any> {
    const url = `${this.baseUrl}/assignments/${id}`;
    return this.http.delete(url);
  }
}





/* export class AssignmentService {
  private baseUrl = 'http://0.0.0.0:30993';

   constructor(private http: HttpClient, private authService: AuthService) {}

  setAccessToken(token: string): void {
    this.authService.setAccessToken(token);
  }
  
  getAssignments(): Observable<Assignment[]> {
    const token = this.authService.getAccessToken();
    const headers = { Authorization: `Bearer ${token}` };
    return this.http.get<Assignment[]>(`${this.baseUrl}/assignments`, { headers });
  }
  
  delAssignments(id: number): Observable<any> {
    const url = `${this.baseUrl}/assignments/${id}`;
    return this.http.delete(url);
  }
}
*/